<form name="approvalDetail" role="form" class="mpm-form" novalidate #editForm="ngForm">
    <p-panel [toggleable]="true">
        <p-header>Detail</p-header>
        <jhi-sales-unit-requirement-detail-container
            [salesUnitRequirement]="salesUnitRequirement"
        ></jhi-sales-unit-requirement-detail-container>
        <jhi-communication-event-prospect-as-list
            [idProspect] = "salesUnitRequirement.idProspect"
            usedFor = "detail"
        ></jhi-communication-event-prospect-as-list>
        <div class="ui-g" style="margin-top: 20px;" *ngIf="salesUnitRequirement.approvalDiscount == baseConstants.Status.STATUS_WAITING_FOR_APPROVAL">
            <div class="ui-g-12 ui-sm-12">
                <div class="card text-left">
                    <div class="card-header">
                        Approval Subsidi
                    </div>
                    <div class="card-body">
                        <div>Request Subsidi : Rp {{ salesUnitRequirement.subsown | number}}</div>
                        <div>
                            Approve : <p-inputSwitch  
                            [(ngModel)]="isApprovalSubsidi"
                            onLabel="Yes"
                            offLabel="No"
                            name="isApprovalSubsidi"
                            id="isApprovalSubsidi"></p-inputSwitch>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <p-footer>
            <button pButton type="button" (click)="previousState()"
                label="{{'entity.action.back' | translate}}"
                class="ui-button-danger flat-label-button">
            </button>
            <button pButton type="button" (click)="submit(idMessage,'reject')"
                label="Not Approve"
                class="flat-label-button"
                [disabled]="idsts == 11 || idsts == 62">
            </button>
            <button pButton type="button" (click)="submit(idMessage,'approve')"
                label="Approve"
                class="flat-label-button"
                [disabled]="idsts == 62 || idsts == 11">
            </button>
        </p-footer>
    </p-panel>
</form>
<!-- <p-confirmDialog></p-confirmDialog> -->